import { Viewer } from './Viewer';
/**
 * Helper wrapper around the ObjectLoader class, with some built in assumptions.
 */
export default class ViewerObjectLoader {
    private _objectUrl;
    private objectId;
    private token;
    private loader;
    private converter;
    private cancel;
    private emiter;
    get objectUrl(): string;
    constructor(parent: Viewer, objectUrl: any, authToken: any, enableCaching: any);
    load(): Promise<void>;
    cancelLoad(): void;
    dispose(): void;
}
